/**
 * The main extension file, which provides plugins that can be loaded into
 * a Lumino application such as JupyterLab or Notebook 7.
 *
 * Outside of this file, of note is `./tokens.ts`, which provides a number of
 * run-time constants and compile-type interfaces for type-checking.
 *
 * Imports (mostly) adhere to the ES `import` semantics, exceptions noted below
 * @see https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Statements/import
 */
import { JupyterFrontEndPlugin } from "@jupyterlab/application";
/**
 * Data to register the extension with jupyterlab which also clarifies the shape of
 * what is required by the extension and passed to our provided activate function.
 *
 * This plugin is `export`ed at the end of the file.
 *
 * @see https://jupyterlab.readthedocs.io/en/stable/extension/extension_dev.html#application-plugins
 */
declare const plugin: JupyterFrontEndPlugin<void>;
export default plugin;
